Subject: [VRRP] VRRP Advertisement packet dropped by Linux IP stack

From: Luong Ngo <[email-masked]>
Date: Fri, 22 Dec 2006 18:02:34 -0800 (PST)

Hello all,

I have VRRP running on Linux kernel 2.6.14 and  here is the situation I am in.
My simple configuration has 1 master and 1 backup VRRP router. I start with the master router is down, and so the backup router takes over the VR IP, the current implementation is that when a backup router takes over the VRIP, it would go add the VR IP to the local interface as a secondary IP of that interface. And this is causing the problem. When the master router comes up, it starts sending out the advertisement messages with the source IP is the VR IP. These packets arrive at the backup routers and they are dropped by the IP stack in Linux and my guess is that it checks the source IP and realize Source IP is the same as local interface's IP which is added when the backup transition to master state for the virtual router (this check is in fib_validate_source function of file net/ipv4/fib_frontend.c). 

Has anyone encountered this problem? Is it wrong to add the VRIP to the local interface? All help is greatly appreciated.

Happy Holidays.

-Luong

 __________________________________________________
Do You Yahoo!?
Tired of spam?  Yahoo! Mail has the best spam protection around 
http://mail.yahoo.com 

_______________________________________________
vrrp mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/vrrp